webpackJsonp([36],{

/***/ 1037:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "AddNonQualifUserPageModule", function() { return AddNonQualifUserPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__add_nonqualif_user__ = __webpack_require__(1177);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var AddNonQualifUserPageModule = /** @class */ (function () {
    function AddNonQualifUserPageModule() {
    }
    AddNonQualifUserPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__add_nonqualif_user__["a" /* AddNonQualifUserPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__add_nonqualif_user__["a" /* AddNonQualifUserPage */]),
            ],
        })
    ], AddNonQualifUserPageModule);
    return AddNonQualifUserPageModule;
}());

//# sourceMappingURL=add-nonqualif-user.module.js.map

/***/ }),

/***/ 1177:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddNonQualifUserPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_web_service_helper_web_service_helper__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__models_app_constants__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_app_manager_app_manager__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the AddUserEmailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var AddNonQualifUserPage = /** @class */ (function () {
    //displayUserType : string = "";
    function AddNonQualifUserPage(navCtrl, navParams, modalCtrl, alertCtrl, apiHelper, appmngr) {
        var _this = this;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.apiHelper = apiHelper;
        this.appmngr = appmngr;
        this.emailsArray = [];
        this.respDataArray = [];
        this.const = __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */];
        this.userTypeArray = [];
        this.deleteEmailEntry = function (deleteObj) {
            console.log("Data to dleete is :" + JSON.stringify(deleteObj));
            var alert = _this.alertCtrl.create({
                title: 'Confirmation',
                message: "Are you sure you want to delete this user ?",
                buttons: [{
                        text: 'Cancel',
                        handler: function () {
                        }
                    }, {
                        text: 'Confirm',
                        handler: function () {
                            _this.deleteNonQualifUserFromServer(deleteObj);
                        }
                    }]
            });
            alert.present();
        };
    }
    AddNonQualifUserPage.prototype.ionViewDidLoad = function () {
        this.userTypeArray = [
            { userType: "Expert", value: 2 }, { userType: "Manager", value: 3 }
        ];
        this.fetchNonQualifUserFromServer();
    };
    AddNonQualifUserPage.prototype.addNonQualifUserFromServer = function (funcParam) {
        var _this = this;
        this.appmngr.getLocalData("token").then(function (token) {
            if (token) {
                var request_data = {
                    "userName": funcParam.email,
                    "userType": funcParam.userType,
                    "status": 0,
                    "comments": "",
                    "bvOffice": ""
                };
                _this.appmngr.showLoader();
                _this.apiHelper.CallRestWebService(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].QUALIFUSER_CREATE_ENDPOINT, request_data, token).subscribe(function (result) {
                    _this.appmngr.hideLoader();
                    if (result.response.data) {
                        if (result.response.status == __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ApiSuccessMessage.SUCCESS) {
                            var respData = JSON.parse(result.response.data);
                            _this.refreshNonQualifData(respData);
                        }
                        var serverErrorMsg = result.response.message;
                        _this.appmngr.presentToast(serverErrorMsg);
                    }
                }, function (error) {
                    _this.appmngr.ConsoleLog("ReadQualif---", JSON.stringify(error));
                    _this.appmngr.hideLoader();
                    if ('error' in error) {
                        if (error.error.response) {
                            var serverErrorMsg = error.error.response.message;
                            _this.appmngr.presentToast(serverErrorMsg);
                        }
                    }
                    else {
                        _this.appmngr.showAlert(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.NO_NETWRK_FOUND_TITLE, __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.SLOW_INTERNET);
                    }
                });
            }
        });
    };
    AddNonQualifUserPage.prototype.refreshNonQualifData = function (respData) {
        var _this = this;
        var displayUserType = "";
        this.respDataArray = [];
        respData.users.forEach(function (element) {
            if (element.status == "0") {
                element.user_type_qualif.forEach(function (userRoles) {
                    displayUserType += _this.userTypeArray.find(function (_a) {
                        var value = _a.value;
                        return value === userRoles;
                    }).userType + ", ";
                });
                displayUserType = displayUserType.substring(0, displayUserType.length - 2);
                _this.respDataArray.push({ email: element.username, userType: element.user_type_qualif, userRoles: displayUserType });
                displayUserType = "";
            }
        });
    };
    AddNonQualifUserPage.prototype.fetchNonQualifUserFromServer = function () {
        var _this = this;
        this.appmngr.getLocalData("token").then(function (token) {
            if (token) {
                _this.appmngr.showLoader();
                _this.apiHelper.CallRestWebServiceWithGet(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].QUALIFUSER_READ_ENDPOINT, token).subscribe(function (result) {
                    _this.appmngr.hideLoader();
                    if (result.response.data) {
                        var respData = JSON.parse(result.response.data);
                        _this.refreshNonQualifData(respData);
                    }
                }, function (error) {
                    _this.appmngr.ConsoleLog("ReadQualif", JSON.stringify(error));
                    _this.appmngr.hideLoader();
                    if ('error' in error) {
                        if (error.error.response) {
                            var serverErrorMsg = error.error.response.message;
                            _this.appmngr.presentToast(serverErrorMsg);
                        }
                    }
                    else {
                        _this.appmngr.showAlert(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.NO_NETWRK_FOUND_TITLE, __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.SLOW_INTERNET);
                    }
                });
            }
        });
    };
    AddNonQualifUserPage.prototype.deleteNonQualifUserFromServer = function (deleteObj) {
        var _this = this;
        this.appmngr.getLocalData("token").then(function (token) {
            if (token) {
                _this.appmngr.showLoader();
                var request_data = { "username": deleteObj };
                _this.apiHelper.CallRestWebService(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].QUALIFUSER_DELETE_ENDPOINT, request_data, token).subscribe(function (result) {
                    _this.appmngr.hideLoader();
                    if (result.response.data) {
                        console.log("Data delete response: " + JSON.stringify(result.response.data));
                        if (result.response.status == __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ApiSuccessMessage.SUCCESS) {
                            var respData = JSON.parse(result.response.data);
                            _this.refreshNonQualifData(respData);
                        }
                        var serverErrorMsg = result.response.message;
                        _this.appmngr.presentToast(serverErrorMsg);
                    }
                }, function (error) {
                    _this.appmngr.ConsoleLog("ReadQualif", JSON.stringify(error));
                    _this.appmngr.hideLoader();
                    if ('error' in error) {
                        if (error.error.response) {
                            var serverErrorMsg = error.error.response.message;
                            _this.appmngr.presentToast(serverErrorMsg);
                        }
                    }
                    else {
                        _this.appmngr.showAlert(__WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.NO_NETWRK_FOUND_TITLE, __WEBPACK_IMPORTED_MODULE_3__models_app_constants__["a" /* AppConstants */].ErrorMessage.SLOW_INTERNET);
                    }
                });
            }
        });
    };
    AddNonQualifUserPage.prototype.openModal = function (selectedShipNames, selectedShipIDs) {
        var _this = this;
        var modalPage = this.modalCtrl.create('AddNonQualifUserPopupPage', { "emailArray": this.emailsArray }, { cssClass: "shipassignModal" });
        modalPage.onDidDismiss(function (data) {
            console.log("Data in onDismiss: " + JSON.stringify(data));
            if (data != null && data.email != null) {
                _this.addNonQualifUserFromServer({ email: data.email, userType: data.userType });
            }
        });
        modalPage.present();
    };
    AddNonQualifUserPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-add-nonqualif-user',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\add-nonqualif-user\add-nonqualif-user.html"*/'<!--\n\n  Generated template for the AddUserEmailPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n\n\n  <ion-navbar>\n\n    <ion-title>Add a non-qualified User</ion-title>\n\n  </ion-navbar>\n\n  \n\n  <ion-item class="myToolbar">\n\n      <p item-right> Add user</p>\n\n    <div item-right (click)="openModal()">\n\n      <ion-icon name="add-circle" style="zoom:1.5;"></ion-icon>\n\n    </div>\n\n  </ion-item>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <ion-card tappable *ngFor="let object of respDataArray; index as i">\n\n    <ion-item text-wrap>\n\n      <ion-label>\n\n        <h3>\n\n          {{object.email}}\n\n        </h3>\n\n      </ion-label>\n\n      <ion-icon name="trash" item-right (click)="deleteEmailEntry(object.email)"></ion-icon>\n\n    </ion-item>\n\n    <ion-item>\n\n        <ion-label>\n\n          <h3>\n\n            {{object.userRoles}}\n\n          </h3>\n\n        </ion-label>\n\n    </ion-item>\n\n  </ion-card>\n\n</ion-content>\n\n'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\add-nonqualif-user\add-nonqualif-user.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ModalController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_2__providers_web_service_helper_web_service_helper__["a" /* WebServiceHelperProvider */], __WEBPACK_IMPORTED_MODULE_4__providers_app_manager_app_manager__["a" /* AppManagerProvider */]])
    ], AddNonQualifUserPage);
    return AddNonQualifUserPage;
}());

//# sourceMappingURL=add-nonqualif-user.js.map

/***/ })

});
//# sourceMappingURL=36.js.map