webpackJsonp([47],{

/***/ 1084:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReportListViewPageModule", function() { return ReportListViewPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__report_list_view__ = __webpack_require__(1230);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReportListViewPageModule = /** @class */ (function () {
    function ReportListViewPageModule() {
    }
    ReportListViewPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__report_list_view__["a" /* ReportListViewPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__report_list_view__["a" /* ReportListViewPage */]),
            ],
        })
    ], ReportListViewPageModule);
    return ReportListViewPageModule;
}());

//# sourceMappingURL=report-list-view.module.js.map

/***/ }),

/***/ 1230:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReportListViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_app_constants__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_report_service_report_service__ = __webpack_require__(114);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_report_data_generate_report__ = __webpack_require__(601);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_app_manager_app_manager__ = __webpack_require__(24);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the ReportListViewPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ReportListViewPage = /** @class */ (function () {
    function ReportListViewPage(navCtrl, navParams, report, appManager, appCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.report = report;
        this.appManager = appManager;
        this.appCtrl = appCtrl;
        this.shipVewData = "";
        this.pagetype = "";
        this.const = __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */];
        this.generate = new __WEBPACK_IMPORTED_MODULE_4__providers_report_data_generate_report__["a" /* GenerateReport */]();
        this.paramsData = navParams.get('data');
        this.shipVewData = this.paramsData.shipData;
        this.pagetype = this.paramsData.pagetype;
        //console.log("pageType", this.paramsData);
    }
    ReportListViewPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.appManager.showLoader();
        if (this.paramsData) {
            this.title = this.paramsData.shipData.shipName;
            //console.log("ship general details", this.paramsData);
            var generalDetails = this.generate.isKeyObjectValid('shipGeneralDetailsModel', this.paramsData.shipData);
            if (this.pagetype == "SEARCH" || generalDetails) {
                this.report.getReportDetailsForOnloneSerach(this.paramsData.id, this.shipVewData).then(function (res) {
                    _this.data = res;
                    //console.log("inspection", this.data);
                    _this.appManager.hideLoader();
                });
            }
            else {
                this.report.getReportDetailsdByID(this.paramsData.id).then(function (res) {
                    _this.appManager.hideLoader();
                    _this.data = res;
                });
            }
        }
        else
            this.appManager.returnUserToHomePage();
    };
    ReportListViewPage.prototype.reportType = function (_title, _type) {
        var status = this.data.inspection.status;
        if (status === __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */].Status.COMPLETED || status === __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */].Status.MAINTENANCE_STARTED) {
            this.paramsData.isCreateReport = false;
        }
        this.appCtrl.getRootNav().push('ReportDownloadPage', { data: this.data, title: _title, type: _type, shipData: this.paramsData,
            isCreatedReport: this.paramsData.isCreateReport, isExpertDoingMaintenance: this.paramsData.isExpertDoingMaintenance });
    };
    ReportListViewPage.prototype.homeButtonClicked = function () {
        this.appManager.returnUserToHomePage();
    };
    ReportListViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-report-list-view',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Report\report-list-view\report-list-view.html"*/'<!--\n\n  Generated template for the ReportListViewPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<!-- <ion-header >\n\n\n\n  <ion-navbar color="dark">\n\n    <ion-title>{{title}}</ion-title>\n\n  </ion-navbar>\n\n</ion-header> -->\n\n\n\n<ion-content no-padding >\n\n  <ion-card tappable padding (click)="reportType(const.Reports.VSCP_DISPLAY_NAME, const.Reports.REPORT_VSCP_TYPE)" class="my-card">\n\n    {{const.Reports.VSCP_DISPLAY_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.RISK_ASSESSMENT_DISPLAY_NAME, const.Reports.REPORT_RISK_ASSESMENT_TYPE)" class="my-card">\n\n    {{const.Reports.RISK_ASSESSMENT_DISPLAY_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.INVENTORY_DISPLAY_NAME, const.Reports.REPORT_INVENTORY_TYPE)" class="my-card">\n\n    {{const.Reports.INVENTORY_DISPLAY_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.MANUAL_DISPLAY_NAME, const.Reports.REPORT_MANUAL_TYPE)" class="my-card">\n\n    {{const.Reports.MANUAL_DISPLAY_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.SAMPLE_LIST_REPORT_NAME, const.Reports.REPORT_SAMPLE_TYPE)" class="my-card">\n\n    {{const.Reports.SAMPLE_LIST_REPORT_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.SAMPLING_STRATEGY_REPORT_NAME, const.Reports.SAMPLING_STRATEGY_REPORT)" class="my-card">\n\n    {{const.Reports.SAMPLING_STRATEGY_REPORT_NAME}}\n\n  </ion-card>\n\n  <ion-card tappable padding (click)="reportType(const.Reports.DTA_REPORT_NAME, const.Reports.DTA_REPORT_TYPE)" class="my-card">\n\n      {{const.Reports.DTA_REPORT_NAME}}\n\n    </ion-card>\n\n</ion-content>'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Report\report-list-view\report-list-view.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__providers_report_service_report_service__["a" /* ReportServiceProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_app_manager_app_manager__["a" /* AppManagerProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["c" /* App */]])
    ], ReportListViewPage);
    return ReportListViewPage;
}());

//# sourceMappingURL=report-list-view.js.map

/***/ })

});
//# sourceMappingURL=47.js.map