webpackJsonp([53],{

/***/ 1062:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "RemarksModalPageModule", function() { return RemarksModalPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__remarks_modal__ = __webpack_require__(1203);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var RemarksModalPageModule = /** @class */ (function () {
    function RemarksModalPageModule() {
    }
    RemarksModalPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__remarks_modal__["a" /* RemarksModalPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__remarks_modal__["a" /* RemarksModalPage */]),
            ],
        })
    ], RemarksModalPageModule);
    return RemarksModalPageModule;
}());

//# sourceMappingURL=remarks-modal.module.js.map

/***/ }),

/***/ 1203:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return RemarksModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_lodash___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_2_lodash__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_app_constants__ = __webpack_require__(7);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





/**
 * Generated class for the RemarksModelPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var RemarksModalPage = /** @class */ (function () {
    function RemarksModalPage(navCtrl, navParams, viewCtrl, appmanager) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.appmanager = appmanager;
        this.inputTxt = '';
        this.checkeddata = { checkbox: [], inputdata: [] };
        this.data = [];
    }
    RemarksModalPage.prototype.ngOnInit = function () {
        this.data = [
            { msg: "Assumption - Asbestos containing (experience) & Random Sampling", status: false },
            { msg: "Assumption (experience) & Random Sampling", status: false },
            { msg: "Checked during dry-dock. IHM amended", status: false },
            { msg: "Checked during dry-dock", status: false },
            { msg: "Confirmed by material declaration", status: false },
            { msg: "Confirmed by sample analysis", status: false },
            { msg: "Confirmed by visual check", status: false },
            { msg: "No access during ship operations", status: false }
        ];
        //For prefilled
        this.remarksData = this.navParams.get("selectdData");
        if (this.remarksData)
            this.chkPrefilledData();
    };
    RemarksModalPage.prototype.chkPrefilledData = function () {
        var toArray = this.remarksData.split(",");
        for (var i = 0; i < this.data.length; i++) {
            for (var j = 0; j < toArray.length; j++) {
                //Add to checkeddata.checkbox data if match found
                if (this.data[i].msg == toArray[j]) {
                    this.checkeddata.checkbox.push({
                        msg: toArray[j],
                        status: true,
                        checkboxid: i
                    });
                    this.enableCheckbox(i);
                    toArray.splice(j, 1); //remove from array once added to checkeddata.checkbox to identify inputdata
                }
            }
        }
        //Add to checkeddata.inputdata
        for (var index = 0; index < toArray.length; index++) {
            if (toArray[index].length > 0) {
                this.checkeddata.inputdata.push({
                    msg: toArray[index]
                });
            }
        }
    };
    RemarksModalPage.prototype.closeModal = function () {
        this.viewCtrl.dismiss();
    };
    RemarksModalPage.prototype.saveClicked = function () {
        var str = "";
        this.checkeddata.checkbox.forEach(function (item1) {
            str += item1.msg + ", ";
        });
        this.checkeddata.inputdata.forEach(function (item2) {
            str += item2.msg + ", ";
        });
        //Remove last comma
        if (str.length > 0) {
            str = str.substring(0, str.length - 2);
        }
        this.viewCtrl.dismiss(str);
    };
    RemarksModalPage.prototype.addInputData = function () {
        if (this.inputTxt != "") {
            if (this.appmanager.isASCII(this.inputTxt)) {
                this.checkeddata.inputdata.push({
                    msg: this.inputTxt
                });
                this.inputTxt = '';
            }
            else
                this.appmanager.showToast(__WEBPACK_IMPORTED_MODULE_4__models_app_constants__["a" /* AppConstants */].ErrorMessage.ONLY_ENGLISH_CHARA + " in remarks", "bottom");
        }
    };
    RemarksModalPage.prototype.removeData = function (cid) {
        var getindex = __WEBPACK_IMPORTED_MODULE_2_lodash___default.a.findIndex(this.checkeddata.checkbox, { 'checkboxid': cid });
        this.checkeddata.checkbox.splice(getindex, 1);
        this.disbaleCheckbox(cid);
    };
    RemarksModalPage.prototype.removeInputData = function (index) {
        this.checkeddata.inputdata.splice(index, 1);
    };
    RemarksModalPage.prototype.changestatus = function (ev, data, index) {
        if (ev.checked) {
            this.addDatatoselect(data, index);
            this.enableCheckbox(index);
        }
        else {
            if (this.data[index].status) {
                this.removeData(index);
            }
        }
    };
    RemarksModalPage.prototype.addDatatoselect = function (data, c_id) {
        this.checkeddata.checkbox.push({
            msg: data.msg,
            status: data.status,
            checkboxid: c_id
        });
    };
    RemarksModalPage.prototype.enableCheckbox = function (index) {
        this.data[index].status = true;
    };
    RemarksModalPage.prototype.disbaleCheckbox = function (index) {
        this.data[index].status = false;
    };
    RemarksModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-remarks-modal',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\remarks-modal\remarks-modal.html"*/'<ion-content>\n\n  <div>\n\n    <ion-item style="background-color: black">\n\n      <button ion-button item-start (click)="closeModal()">\n\n        Cancel\n\n      </button>\n\n      <ion-label style="color: white;text-align: center">\n\n        select remarks\n\n      </ion-label>\n\n      <button ion-button item-end (click)="saveClicked()">\n\n        Save\n\n      </button>\n\n    </ion-item>\n\n\n\n    <div *ngFor="let obj of checkeddata.checkbox; let i = index">\n\n      <button ion-button class="selcteddatas">\n\n        {{obj.msg}}\n\n        <ion-icon tappable item-end name="ios-close" (click)="removeData(obj.checkboxid)"></ion-icon>\n\n      </button>\n\n    </div>\n\n    <div *ngFor="let obj of checkeddata.inputdata; let i = index">\n\n      <button ion-button class="selcteddatas">\n\n        {{obj.msg}}\n\n        <ion-icon tappable name="ios-close" (click)="removeInputData(i)"></ion-icon>\n\n      </button>\n\n    </div>\n\n    <ion-item>\n\n      <ion-input [(ngModel)]="inputTxt" type="text" placeholder="Type to add more"></ion-input>\n\n      <button tappable item-right ion-button color="dark" style="height: 35px;" (click)="addInputData()">\n\n        Add\n\n      </button>\n\n    </ion-item>\n\n    <!-- <ion-item> -->\n\n      <ion-item *ngFor="let item of data; let i = index">\n\n        <ion-label>{{item.msg}}</ion-label>\n\n        <ion-checkbox item-end (ionChange)="changestatus($event, item, i)" [checked]="item.status"></ion-checkbox>\n\n      </ion-item>\n\n    <!-- </ion-item> -->\n\n  </div>\n\n</ion-content>'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\remarks-modal\remarks-modal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__["a" /* AppManagerProvider */]])
    ], RemarksModalPage);
    return RemarksModalPage;
}());

//# sourceMappingURL=remarks-modal.js.map

/***/ })

});
//# sourceMappingURL=53.js.map