webpackJsonp([43],{

/***/ 1091:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ShipSearchPageModule", function() { return ShipSearchPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ship_search__ = __webpack_require__(1237);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ShipSearchPageModule = /** @class */ (function () {
    function ShipSearchPageModule() {
    }
    ShipSearchPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__ship_search__["a" /* ShipSearchPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__ship_search__["a" /* ShipSearchPage */])
            ],
        })
    ], ShipSearchPageModule);
    return ShipSearchPageModule;
}());

//# sourceMappingURL=ship-search.module.js.map

/***/ }),

/***/ 1237:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ShipSearchPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__models_app_constants__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__providers_web_service_helper_web_service_helper__ = __webpack_require__(62);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__models_ship_ShipView_model__ = __webpack_require__(590);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the DashboardPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var ShipSearchPage = /** @class */ (function () {
    function ShipSearchPage(appmanager, navCtrl, apiHelper) {
        this.appmanager = appmanager;
        this.navCtrl = navCtrl;
        this.apiHelper = apiHelper;
        this.shipViewData = [];
        this.serverCall = false;
        this.const = __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */];
    }
    ShipSearchPage.prototype.onSearchInput = function () {
        var _this = this;
        this.shipViewData = [];
        this.serverCall = true;
        this.getSHipDataFromServer().then(function (res) {
            _this.serverCall = false;
            if (res) {
                var serverShipData = res.response.data;
                if (serverShipData) {
                    for (var index = 0; index < serverShipData.length; index++) {
                        var shipViewModel = new __WEBPACK_IMPORTED_MODULE_5__models_ship_ShipView_model__["a" /* ShipViewModel */]();
                        var element = serverShipData[index];
                        if (element.shipCreationModel) {
                            shipViewModel.shipCreationModel = JSON.parse(element.shipCreationModel);
                            shipViewModel.id = shipViewModel.shipCreationModel.uid;
                            shipViewModel.timestamp = shipViewModel.shipCreationModel.cdt;
                            //shipViewModel.shipInspections = element.shipCreationModel.inspections;
                        }
                        if (element.shipGeneralDetailsModel) {
                            shipViewModel.shipGeneralDetailsModel = JSON.parse(element.shipGeneralDetailsModel);
                            shipViewModel.shipName = shipViewModel.shipGeneralDetailsModel.ship_name;
                            shipViewModel.shipRegno = shipViewModel.shipGeneralDetailsModel.ship_reg_no;
                            shipViewModel.shipIMONo = shipViewModel.shipGeneralDetailsModel.ship_imo_no;
                            if (shipViewModel.shipGeneralDetailsModel.flag)
                                shipViewModel.flag = shipViewModel.shipGeneralDetailsModel.flag.toUpperCase();
                        }
                        if (element.shipClientModel) {
                            shipViewModel.shipClientModel = JSON.parse(element.shipClientModel);
                            shipViewModel.client = shipViewModel.shipClientModel.uid;
                        }
                        if (element.shipAssignmentModels)
                            shipViewModel.shipAssignmentModels = element.shipAssignmentModels;
                        if (element.shipPhotoUrl) {
                            var shipPhotoUrlSplit = element.shipPhotoUrl.split("/");
                            var filekey = __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */].IMAGE_DEFAULT_FOLDER + "/" + __WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */].THUMBNAIL_DEFAULT_FOLDER + "/" + shipPhotoUrlSplit[shipPhotoUrlSplit.length - 1];
                            shipViewModel.shipImage = _this.appmanager.fetchFileUrl(filekey);
                        }
                        else {
                            shipViewModel.shipImage = "";
                        }
                        _this.shipViewData.push(shipViewModel);
                    }
                }
                else {
                    _this.appmanager.showToast(res.response.message, "Top");
                }
            }
        });
    };
    ShipSearchPage.prototype.onSearchCancel = function () {
        this.shipViewData = [];
    };
    ShipSearchPage.prototype.getSHipDataFromServer = function () {
        var _this = this;
        return new Promise(function (resolve) {
            if (_this.searchkeyword != "") {
                _this.appmanager.getLocalData("token").then(function (token) {
                    if (token) {
                        var request_body = {
                            "search": _this.searchkeyword,
                        };
                        _this.apiHelper.CallRestWebService(__WEBPACK_IMPORTED_MODULE_2__models_app_constants__["a" /* AppConstants */].SHIP_SEARCH_ENDPOINT, request_body, token).subscribe(function (shipRes) {
                            _this.appmanager.ConsoleLog("--shipRes----", JSON.stringify(shipRes));
                            resolve(shipRes);
                        }, function (error) {
                            _this.appmanager.ConsoleLog("--shipRes---err----", JSON.stringify(error));
                            resolve();
                        });
                    }
                });
            }
            else {
                resolve();
            }
        });
    };
    ShipSearchPage.prototype.goToShipContent = function (item) {
        this.navCtrl.push('ShipContentPage', { 'shipData': item, 'prevPage': "SEARCH" });
    };
    ShipSearchPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-ship-search',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Ship\ship-search\ship-search.html"*/'<!--\n\n  Generated template for the DashboardPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n  <ion-navbar>\n\n    <button ion-button icon-only menuToggle start>\n\n      <ion-icon name="bv-menu"></ion-icon>\n\n    </button>\n\n    <ion-title>{{const.PageTitle.SHIP_SEARCH}}</ion-title>\n\n  </ion-navbar>\n\n  <ion-toolbar class="myToolbar">\n\n    <ion-searchbar [(ngModel)]="searchkeyword" (ionInput)="onSearchInput()" (ionCancel)="onSearchCancel()" debounce="2000" showCancelButton="true">\n\n    </ion-searchbar>\n\n  </ion-toolbar>\n\n</ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-label *ngIf="shipViewData.length==0" class="noData">\n\n    {{const.ShipPage.NO_SHIP_AVAILABE_WITHOUT_CREATE}}\n\n  </ion-label>\n\n\n\n  <div class="spinner" [hidden]="!serverCall">\n\n    <ion-spinner name="crescent"></ion-spinner>\n\n    <ion-label>{{preogresMessage}}.</ion-label>\n\n  </div>\n\n  <ion-card (click)="goToShipContent(item)" tappable *ngFor="let item of shipViewData">\n\n    <ion-item>\n\n      <ion-thumbnail item-start>\n\n        <img src="{{item.shipImage}}" onError="this.src=\'assets/imgs/default.jpg\';" alt="" class="thumbnail" />\n\n      </ion-thumbnail>\n\n      <h3>\n\n        {{item.shipName}}\n\n      </h3>\n\n      <p>{{item.shipRegno}}</p>\n\n      <p>{{item.flag}}</p>\n\n    </ion-item>\n\n  </ion-card>\n\n</ion-content>'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Ship\ship-search\ship-search.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__["a" /* AppManagerProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_4__providers_web_service_helper_web_service_helper__["a" /* WebServiceHelperProvider */]])
    ], ShipSearchPage);
    return ShipSearchPage;
}());

//# sourceMappingURL=ship-search.js.map

/***/ })

});
//# sourceMappingURL=43.js.map