webpackJsonp([58],{

/***/ 1055:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "EmailToManagerPopupPageModule", function() { return EmailToManagerPopupPageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__email_to_manager_popup__ = __webpack_require__(1196);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var EmailToManagerPopupPageModule = /** @class */ (function () {
    function EmailToManagerPopupPageModule() {
    }
    EmailToManagerPopupPageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__email_to_manager_popup__["a" /* EmailToManagerPopupPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__email_to_manager_popup__["a" /* EmailToManagerPopupPage */]),
            ],
        })
    ], EmailToManagerPopupPageModule);
    return EmailToManagerPopupPageModule;
}());

//# sourceMappingURL=email-to-manager-popup.module.js.map

/***/ }),

/***/ 1196:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return EmailToManagerPopupPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_on_board_checking_on_board_checking_service__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__ = __webpack_require__(24);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__models_app_constants__ = __webpack_require__(7);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__providers_db_helper_db_helper__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the EmailToManagerPopupPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var EmailToManagerPopupPage = /** @class */ (function () {
    function EmailToManagerPopupPage(navCtrl, navParams, viewCtrl, appmanager, onBoardService, dbHelper) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.viewCtrl = viewCtrl;
        this.appmanager = appmanager;
        this.onBoardService = onBoardService;
        this.dbHelper = dbHelper;
    }
    EmailToManagerPopupPage.prototype.ionViewDidLoad = function () {
        this.inspectnId = this.navParams.get("inspectnId");
    };
    EmailToManagerPopupPage.prototype.cancelClick = function () {
        this.viewCtrl.dismiss("CANCEL");
    };
    EmailToManagerPopupPage.prototype.requestExpertClick = function () {
        var _this = this;
        if (this.emailRequester == "" || !this.appmanager.isValidEmailId(this.emailRequester)) {
            this.appmanager.showToast("Please enter valid email-Id", top);
        }
        else if (this.phoneRequester == undefined || this.phoneRequester == "") {
            this.appmanager.showToast("Please enter telephone no", top);
        }
        else {
            this.onBoardService.chkIfResponsiblePersonAssigned(this.inspectnId).then(function (resPersonAssgined) {
                if (resPersonAssgined) {
                    var param_data = {
                        port_request: _this.portRequest,
                        survey_date: _this.surveyDate,
                        email_requester: _this.emailRequester,
                        phone_requester: _this.phoneRequester
                    };
                    _this.appmanager.showLoader();
                    _this.onBoardService.sendEmailToManager(_this.inspectnId, param_data).then(function (res) {
                        _this.saveRequestCount(_this.inspectnId);
                        _this.viewCtrl.dismiss("SAVE");
                        _this.appmanager.hideLoader();
                        _this.appmanager.showToast(__WEBPACK_IMPORTED_MODULE_4__models_app_constants__["a" /* AppConstants */].SuccessMessage.EXPERT_REQUEST_FOR_ONBOARD, top);
                    });
                }
                else {
                    _this.appmanager.showToast("Please assign responsible person", top);
                    return;
                }
            });
        }
    };
    EmailToManagerPopupPage.prototype.saveRequestCount = function (inspectnId) {
        var _this = this;
        this.dbHelper.getRecordById(inspectnId).then(function (inspModel) {
            var request_count_values = "1#0";
            var request_count = 1;
            if (inspModel != 'fail') {
                if (inspModel.request_count) {
                    request_count_values = inspModel.request_count;
                }
                if (inspModel.request_completed_byexpert) {
                    var array = request_count_values.toString().split("#");
                    if (array[0] && array.length > 0)
                        request_count = Number(array[0]);
                    request_count++;
                    inspModel["request_count"] = request_count.toString() + "#0";
                }
                else
                    inspModel["request_count"] = request_count_values;
                inspModel["request_completed_byexpert"] = false;
                inspModel["request_report_generated"] = false;
                _this.dbHelper.updateDocument(inspModel);
            }
        });
    };
    EmailToManagerPopupPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-email-to-manager-popup',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\email-to-manager-popup\email-to-manager-popup.html"*/'<!--\n\n  Generated template for the EmailToManagerPopupPage page.\n\n\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n\n  Ionic pages and navigation.\n\n-->\n\n<ion-header>\n\n    <ion-navbar>\n\n      <ion-title>Requester Information</ion-title>\n\n    </ion-navbar>\n\n  </ion-header>\n\n\n\n<ion-content padding>\n\n  <ion-list>\n\n    <ion-item>\n\n        <ion-label stacked>\n\n            Port of survey request\n\n        </ion-label>\n\n        <ion-input [(ngModel)]="portRequest" placeholder="type port" type="text"></ion-input>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n        <ion-label stacked>\n\n            Proposed survey date (DD/MM/YYYY)\n\n        </ion-label>\n\n        <ion-datetime displayFormat="DD/MM/YYYY" [min]="todyDate" max="2100"\n\n            placeholder="Select date" [(ngModel)]="surveyDate"></ion-datetime>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n        <ion-label stacked>\n\n            Email requester\n\n            <ion-icon name="ios-medical" class="iconStar"></ion-icon>\n\n        </ion-label>\n\n        <ion-input [(ngModel)]="emailRequester" type="email" placeholder="Type email"></ion-input>\n\n    </ion-item>\n\n\n\n    <ion-item>\n\n        <ion-label stacked>\n\n            Telephone no requester\n\n            <ion-icon name="ios-medical" class="iconStar"></ion-icon>\n\n        </ion-label>\n\n        <ion-input [(ngModel)]="phoneRequester" type="tel" placeholder="Type number"></ion-input>\n\n    </ion-item>\n\n</ion-list>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <ion-row>\n\n    <ion-col text-center col-4>\n\n      <button tappable ion-button color="dark" (click)="cancelClick()">\n\n        Cancel\n\n      </button>\n\n    </ion-col>\n\n    <ion-col text-center col-8>\n\n      <button tappable ion-button color="dark" (click)="requestExpertClick()">\n\n        Request IHM Expert for Sampling\n\n      </button>\n\n    </ion-col>\n\n  </ion-row>\n\n</ion-footer>'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\email-to-manager-popup\email-to-manager-popup.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* ViewController */],
            __WEBPACK_IMPORTED_MODULE_3__providers_app_manager_app_manager__["a" /* AppManagerProvider */],
            __WEBPACK_IMPORTED_MODULE_2__providers_on_board_checking_on_board_checking_service__["a" /* OnboardInspectionProvider */],
            __WEBPACK_IMPORTED_MODULE_5__providers_db_helper_db_helper__["a" /* DbHelperProvider */]])
    ], EmailToManagerPopupPage);
    return EmailToManagerPopupPage;
}());

//# sourceMappingURL=email-to-manager-popup.js.map

/***/ })

});
//# sourceMappingURL=58.js.map