webpackJsonp([60],{

/***/ 1053:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "DocReferencePageModule", function() { return DocReferencePageModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__doc_reference__ = __webpack_require__(1194);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var DocReferencePageModule = /** @class */ (function () {
    function DocReferencePageModule() {
    }
    DocReferencePageModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__doc_reference__["a" /* DocReferencePage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__doc_reference__["a" /* DocReferencePage */]),
            ],
        })
    ], DocReferencePageModule);
    return DocReferencePageModule;
}());

//# sourceMappingURL=doc-reference.module.js.map

/***/ }),

/***/ 1194:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DocReferencePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__providers_location_creation_location_creation_service__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__providers_db_helper_db_helper__ = __webpack_require__(30);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




//import {DOM} from 'angular2'
/**
 * Generated class for the DocReferencePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var DocReferencePage = /** @class */ (function () {
    function DocReferencePage(navCtrl, navParams, locationService, dbHelper, viewCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.locationService = locationService;
        this.dbHelper = dbHelper;
        this.viewCtrl = viewCtrl;
        this.refDocArr = [];
        this.isSelectSupportingDocs = false;
    }
    DocReferencePage.prototype.ngOnInit = function () {
        var _this = this;
        this.inspectn_id = this.navParams.get("inspection_id");
        this.locationService.getInspectionDataFromPouch(this.inspectn_id).then(function (Inspectndata) {
            if (Inspectndata.toString() != "fail") {
                _this.getDataFromPouch(Inspectndata.docs_ref).then(function (refArrObj) {
                    _this.addExtraDataToArr(refArrObj);
                    _this.chkPrefilledBoxes(refArrObj);
                });
            }
        });
    };
    DocReferencePage.prototype.getDataFromPouch = function (docRefData) {
        var _this = this;
        return new Promise(function (resolve) {
            var RefIds = [];
            for (var index = 0; index < docRefData.org_docs_ref.length; index++) {
                var idObj = docRefData.org_docs_ref[index];
                _this.dbHelper.getRecordById(idObj).then(function (dataObj) {
                    RefIds.push(dataObj);
                    if (RefIds.length == docRefData.org_docs_ref.length + docRefData.other_docs_ref.length) {
                        resolve(RefIds);
                    }
                });
            }
            for (var index = 0; index < docRefData.other_docs_ref.length; index++) {
                var idObj = docRefData.other_docs_ref[index];
                _this.dbHelper.getRecordById(idObj).then(function (dataObj) {
                    RefIds.push(dataObj);
                    if (RefIds.length == docRefData.org_docs_ref.length + docRefData.other_docs_ref.length) {
                        resolve(RefIds);
                    }
                });
            }
        });
    };
    DocReferencePage.prototype.addExtraDataToArr = function (refArrObj) {
        var numberofDoc = 0;
        refArrObj.forEach(function (element) {
            if (element.toString() != "fail") {
                if (element.details_array) {
                    for (var j = 0; j < element.details_array.length; j++) {
                        var data = { name: element.details_array[j], status: false };
                        element.details_array[j] = data;
                    }
                    numberofDoc = numberofDoc + element.details_array.length;
                }
            }
        });
        this.refDocArr = refArrObj;
        numberofDoc = numberofDoc + this.refDocArr.length + 1;
        this.setStyle(numberofDoc);
    };
    DocReferencePage.prototype.setStyle = function (numberofDoc) {
        var shand = document.getElementsByClassName('modal-wrapper');
        if (shand.length != 0) {
            shand[0].style.height = (numberofDoc * 70) + "px";
            var offsetTop = (screen.height - shand[0].clientHeight) / 2;
            shand[0].style.top = offsetTop + "px";
        }
    };
    DocReferencePage.prototype.chkPrefilledBoxes = function (refArrObj) {
        this.remarksData = this.navParams.get("selectdData");
        if (this.remarksData) {
            var remarksDataArray_1 = this.remarksData.split(",");
            var _loop_1 = function (k) {
                refArrObj.forEach(function (element) {
                    if (element.toString() != "fail") {
                        if (element.details_array) {
                            for (var j = 0; j < element.details_array.length; j++) {
                                //update status to refDocArr if match found
                                if (element.details_array[j].name.trim() == remarksDataArray_1[k].trim()) {
                                    var obj = element.details_array[j];
                                    obj.status = true;
                                }
                            }
                        }
                    }
                });
            };
            for (var k = 0; k < remarksDataArray_1.length; k++) {
                _loop_1(k);
            }
            this.refDocArr = refArrObj;
        }
    };
    DocReferencePage.prototype.changestatus = function (data, index) {
        if (data.details_array[index].status) {
            data.details_array[index].status = false;
        }
        else {
            data.details_array[index].status = true;
        }
    };
    DocReferencePage.prototype.saveClicked = function () {
        var str = "";
        this.refDocArr.forEach(function (element) {
            if (element.toString() != "fail") {
                for (var j = 0; j < element.details_array.length; j++) {
                    if (element.details_array[j].status) {
                        str += element.details_array[j].name + ", ";
                    }
                }
            }
        });
        //Remove last comma
        if (str.length > 0) {
            str = str.substring(0, str.length - 2);
        }
        this.viewCtrl.dismiss(str);
    };
    DocReferencePage.prototype.addNewRefClicked = function () {
        this.viewCtrl.dismiss();
        this.navCtrl.push('AddNewReferencePage', { 'inspection_id': this.inspectn_id, 'inspectnData': "NA", 'isInspectionEditAllowed': true });
    };
    DocReferencePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-doc-reference',template:/*ion-inline-start:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\doc-reference\doc-reference.html"*/'<ion-header>\n\n  <ion-item style="background-color: black">\n\n    <ion-label style="color: white;text-align: center">\n\n      Select from list\n\n    </ion-label>\n\n    <button tappable ion-button item-end (click)="saveClicked()">\n\n      Save\n\n    </button>\n\n  </ion-item>\n\n\n\n</ion-header>\n\n<ion-content class="itemdetails">\n\n  <div *ngIf="!isSelectSupportingDocs">\n\n    <div *ngFor="let item of refDocArr;" class="itemdetails">\n\n      <ion-row style="padding: 10px 8px 4px 8px;">\n\n        {{item.name}}\n\n      </ion-row>\n\n      <ion-item *ngFor="let obj of item.details_array; let j = index" class="innerdetails">\n\n        <ion-label> {{obj.name}}</ion-label>\n\n        <ion-checkbox item-end color="dark" (ionChange)="changestatus(item,j)" [checked]="obj.status"></ion-checkbox>\n\n      </ion-item>\n\n      <!-- <ion-row *ngFor="let obj of item.details_array; let j = index" class="innerdetails">\n\n          <ion-col col-10>\n\n        {{obj.name}}\n\n      </ion-col>\n\n      <ion-col col-2>\n\n        <ion-checkbox item-end color="dark" (ionChange)="changestatus(item,j)" [checked]="obj.status"></ion-checkbox>\n\n      </ion-col>\n\n      </ion-row> -->\n\n      <!-- <span class="childstrip"></span> -->\n\n    </div>\n\n  </div>\n\n  <div *ngIf="isSelectSupportingDocs">\n\n    <ion-card class="borderB" *ngIf="showCheckboxes">\n\n      <ion-card-header *ngIf="!isSelectSupportingDocs">\n\n        Select type of document\n\n      </ion-card-header>\n\n      <ion-card-header *ngIf="isSelectSupportingDocs">\n\n        Select documents\n\n      </ion-card-header>\n\n      <ion-item>\n\n        <ion-label>\n\n          <p>{{selectButtonText}}</p>\n\n        </ion-label>\n\n        <ion-checkbox slot="start" [ngModel]="masterCheck" (click)="selectAll()"></ion-checkbox>\n\n      </ion-item>\n\n      <ion-item *ngFor="let item of checkBoxList">\n\n        <ion-label>\n\n          <p>{{item.type}}</p>\n\n        </ion-label>\n\n        <ion-checkbox slot="start" [(ngModel)]="item.isChecked" (ionChange)="checkEvent()"></ion-checkbox>\n\n      </ion-item>\n\n      <div>\n\n        <ion-row style="background-color: transparent; align-items: center;" end>\n\n          <!-- <ion-col col-8>\n\n                <ion-row >\n\n              <button [disabled]="!isInspectionEditAllowed" tappable type="button" item-start ion-fab mini color="dark"style="align-self: center;" (click)="AddItemData(\'\')">\n\n                <ion-icon name="add"></ion-icon>\n\n              </button>\n\n              <ion-label>Add supporting documents</ion-label>\n\n            </ion-row>\n\n            </ion-col>\n\n            <ion-col col-4> -->\n\n          <button tappable ion-button class="btnclss" color="darkgrey" style="align-self: center;" (click)="applyFilter()">\n\n            Done\n\n          </button>\n\n          <!-- </ion-col> -->\n\n        </ion-row>\n\n      </div>\n\n    </ion-card>\n\n  </div>\n\n  <!-- <ion-row (click)="addNewRefClicked()">\n\n        <ion-col col-1>\n\n            <button tappable item-start ion-fab mini color="dark" class="fabMini" class="addBtn">\n\n            <ion-icon name="add"></ion-icon>\n\n        </button>\n\n       </ion-col>\n\n       <ion-col col-11 style="margin-top: 17px;padding-left: 30px">Add new reference document </ion-col>\n\n      </ion-row> -->\n\n\n\n  <ion-item *ngIf="!isSelectSupportingDocs" (click)="addNewRefClicked()">\n\n    <span item-left>\n\n      <button tappable item-start ion-fab mini color="dark" class="fabMini" class="addBtn">\n\n        <ion-icon name="add"></ion-icon>\n\n      </button>\n\n    </span>\n\n    <p item-left>Add new reference document</p>\n\n  </ion-item>\n\n\n\n\n\n</ion-content>'/*ion-inline-end:"D:\NewIonicWorkspace\Praxis\ihm-project\praxis-frontend\src\pages\Common\doc-reference\doc-reference.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["o" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["p" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__providers_location_creation_location_creation_service__["a" /* LocationCreationProvider */],
            __WEBPACK_IMPORTED_MODULE_3__providers_db_helper_db_helper__["a" /* DbHelperProvider */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["u" /* ViewController */]])
    ], DocReferencePage);
    return DocReferencePage;
}());

//# sourceMappingURL=doc-reference.js.map

/***/ })

});
//# sourceMappingURL=60.js.map